import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const routes: AppRouteRecordRaw = {
  path: '/base',
  name: 'base',
  component: DEFAULT_LAYOUT,
  meta: {
    requiresAuth: true,
  },
  children: [
    {
      path: 'teaching-manage',
      name: 'TeachingManage',
      component: () => import('@/views/base/teaching-manage/index.vue'),
      meta: {
        title: '教学点管理',
        requiresAuth: true,
      },
    },
    {
      path: 'agent-manage',
      name: 'AgentManage',
      component: () => import('@/views/base/agent-manage/index.vue'),
      meta: {
        title: '考点管理',
        requiresAuth: true,
      },
    },
    {
      path: 'room-manage',
      name: 'RoomManage',
      component: () => import('@/views/base/room-manage/index.vue'),
      meta: {
        title: '考场管理',
        requiresAuth: true,
      },
    },
  ],
};

export default routes;
